package errors

import "net/http"

// Definitions holds all implemented ones. The name must match the structs
// snake-name for fallback purposes. See TypeToSnake usage and reference.
var Definitions = []*Error{
	AccessControl,

	AccessControl.Kind("basic_auth").Status(http.StatusUnauthorized),
	AccessControl.Kind("basic_auth").Kind("basic_auth_credentials_missing").Status(http.StatusUnauthorized),

	AccessControl.Kind("jwt"),
	AccessControl.Kind("jwt").Kind("jwt_token_expired"),
	AccessControl.Kind("jwt").Kind("jwt_token_invalid"),
	AccessControl.Kind("jwt").Kind("jwt_token_missing").Status(http.StatusUnauthorized),

	AccessControl.Kind("oauth2"),

	AccessControl.Kind("saml2"),

	AccessControl.Kind("beta_operation_denied"),

	AccessControl.Kind("beta_scope"),
	AccessControl.Kind("beta_scope").Kind("beta_insufficient_scope"),

	BackendValidation,

	Endpoint.Kind("sequence"),
	Endpoint.Kind("unexpected_status"),
}
